#ifndef __Aip4cComponents_ToolBar_h__
#define __Aip4cComponents_ToolBar_h__

#include <Aip4cComponents/Aip4cComponents.h>

#include <QToolBar>

#include <set>

namespace Aip4cComponents
{
	class ToolBarList : public std::set<QToolBar*>
	{
	};

	class Aip4cComponents_Export ToolBar : public QToolBar
	{
		private:
			bool _bVisible;
			QWidget* _pWdgProgenitor;

		public:
			ToolBar( const QString& strTitle, QWidget *pparent, bool bVisible = true );

			void hide();
			void show();
			void frameworkShow();
	};
}

#endif /* !__Aip4cComponents_ToolBar_h__ */
