#ifndef __Aip4cComponents_AboutAip4cWidget_h__
#define __Aip4cComponents_AboutAip4cWidget_h__

#include <Aip4cComponents/Aip4cComponents.h>

#include <Auth4cUIComponents/AboutUserWidget.h>

#include <QDialog>
#include <ui_AboutAip4cWidget.h>

namespace Aip4cComponents
{
	class Aip4cComponents_Export AboutAip4cWidget : public QDialog, private Ui::AboutAip4cWidget
	{
		Q_OBJECT

		private:
			Auth4cUIComponents::AboutUserWidget* _pwdgUser;

		public:
			AboutAip4cWidget( QWidget* pparent = NULL );
			virtual ~AboutAip4cWidget();

			void setAbout( std::map<std::string, Base4c::Version> versionSPluginS );

		protected slots:
	};
};

#endif /* !__Aip4cComponents_AboutAip4cWidget_h__ */
