#ifndef __Aip4cComponents_ExceptionDialog_h__
#define __Aip4cComponents_ExceptionDialog_h__

#include <Aip4cComponents/Aip4cComponents.h>

#include <Auth4cData/Exception.h>
#include <Aip4cComponents/Exception.h>

#include <QDialog>
#include <ui_ExceptionDialog.h>

namespace Aip4cComponents
{
	class Aip4cComponents_Export ExceptionDialog : public QDialog, private Ui::ExceptionDialog
	{
		Q_OBJECT

		private:
			bool _bExpanded;
			const Auth4cData::Exception* _peNA;
			const Aip4cComponents::Exception* _peFD;

		public:
			ExceptionDialog( QWidget* pparent, const Aip4cComponents::Exception& eFD );
			virtual ~ExceptionDialog();

		protected slots:
			void accept();
			void reject();
			void onMore();
			void onCopy();
	};
};

#endif /* !__Aip4cComponents_ExceptionDialog_h__ */
