#ifndef __Aip4cComponents_SplashWidget_h__
#define __Aip4cComponents_SplashWidget_h__

#include <Aip4cComponents/Aip4cComponents.h>

#include <QWidget>
#include <QLabel>

namespace Aip4cComponents
{
	class Aip4cComponents_Export SplashWidget : public QWidget
	{
		Q_OBJECT

		private:
			QLabel* _plblSplash;
			QLabel* _plblAip4c;
			QLabel* _plblVersion;
			QLabel* _plblCopyright;
			QLabel* _plblProgress;

		public:
			SplashWidget( QWidget* pparent );
			virtual ~SplashWidget();

			void setProgress( const QString& strMessage = QString() );
	};
}

#endif /* !__Aip4cComponents_SplashWidget_h__ */
